Create a deployment RBAC team
curl --request POST \
--url https://api.example.com/api/permissions/v2/deployments/{deploymentId}/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team": {
"name": "my-team",
"repositoryIds": [
"1111",
"1112"
],
"users": [
{
"userId": "456"
}
],
"parentTeamId": "4321"
}
}
'import requests
url = "https://api.example.com/api/permissions/v2/deployments/{deploymentId}/teams"
payload = { "team": {
"name": "my-team",
"repositoryIds": ["1111", "1112"],
"users": [{ "userId": "456" }],
"parentTeamId": "4321"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
team: {
name: 'my-team',
repositoryIds: ['1111', '1112'],
users: [{userId: '456'}],
parentTeamId: '4321'
}
})
};
fetch('https://api.example.com/api/permissions/v2/deployments/{deploymentId}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"team": {
"id": "1234",
"deploymentId": "1111",
"name": "My Team",
"slug": "my-team",
"parentTeamId": "1234",
"repositoryCount": "1",
"userCount": "1",
"childTeamCount": "1",
"isProjectDefault": false,
"isUserDefault": false,
"authorizedScopes": [
"TEAM_SCOPE_DIRECT_MEMBER",
"TEAM_SCOPE_MANAGE"
]
}
}Teams
Create a deployment RBAC team
Create a new Role-Based Access Control team for a deployment
POST
/
api
/
permissions
/
v2
/
deployments
/
{deploymentId}
/
teams
Create a deployment RBAC team
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier for the deployment.
Example:
1111
Body
application/json
Details of the team to be created
Show child attributes
Show child attributes
Response
200 - application/json
OK
Details of the created team
Show child attributes
Show child attributes
Was this page helpful?
⌘I